- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_input_device_mapping_notify_event_t Struct Reference
[XCB Input API]

xcb_input_device_mapping_notify_event_t More...

`#include <xinput.h>`

## Data Fields
uint8_t | response_type
uint8_t | device_id
uint16_t | sequence
uint8_t | request
xcb_input_key_code_t | first_keycode
uint8_t | count
uint8_t | pad0
xcb_timestamp_t | time
uint8_t | pad1 [20]

## Detailed Description

xcb_input_device_mapping_notify_event_t

## Field Documentation

uint8_t xcb_input_device_mapping_notify_event_t::response_type

uint8_t xcb_input_device_mapping_notify_event_t::device_id

uint16_t xcb_input_device_mapping_notify_event_t::sequence

uint8_t xcb_input_device_mapping_notify_event_t::request

xcb_input_key_code_t xcb_input_device_mapping_notify_event_t::first_keycode

uint8_t xcb_input_device_mapping_notify_event_t::count

uint8_t xcb_input_device_mapping_notify_event_t::pad0

xcb_timestamp_t xcb_input_device_mapping_notify_event_t::time

uint8_t xcb_input_device_mapping_notify_event_t::pad1[20]

The documentation for this struct was generated from the following file:

- xinput.h